package com.link.base.logs.controller;

import com.link.base.logs.model.HttpLog;
import com.link.base.logs.service.HttpLogService;
import com.link.core.basic.controller.BasicController;
import com.link.core.basic.service.BasicService;
import com.link.core.basic.service.KeyGenerateService;
import javax.annotation.Resource;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"/link/httpLog"})
public class HttpLogController extends BasicController<HttpLog> {
   @Resource
   private KeyGenerateService keyGenerateService;
   @Resource
   private HttpLogService httpLogService;

   public BasicService<HttpLog> getBasicService() throws Exception {
      return this.httpLogService;
   }
}
